Check Point Reference:CPAI-2012-241
Date Published: 28 May 2012
Severity: Critical
Last Updated:
Source: CVE-2012-0161
Protection Provided by:

Security Gateway
R70

  • R71
  • R75

  • Who is Vulnerable? Microsoft .NET Framework 1.0 Service Pack 3
    Microsoft .NET Framework 1.1 Service Pack 1
    Microsoft .NET Framework 2.0 Service Pack 2
    Microsoft .NET Framework 3.0 Service Pack 2
    Microsoft .NET Framework 3.5 Service Pack 1
    Microsoft .NET Framework 3.5.1
    Microsoft .NET Framework 4
    Microsoft .NET Framework 3.5.1 on Windows Server 2008 R2 for x64-based Systems
    Microsoft .NET Framework 4 when installed on Windows Server 2008 R2 for x64-based Systems
    Vulnerability Description A remote code execution vulnerability has been reported in the Microsoft .NET Framework.
    Update/Patch AvaliableApply patches from here
    Vulnerability DetailsThe vulnerability is due to an error in the way .NET Framework handles exceptions during the object serialization process. A remote attacker may exploit this issue by enticing a target user to view a malicious website containing a specially crafted XAML browser application (XBAP). Successful exploitation could allow an attacker to take complete control of the target system.

    Protection Overview

    This protection will detect and block attempts to open a specially crafted website.

    In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, Protection tab and select the version of your choice.

    1. In the IPS tab, click Protections and find the Microsoft .NET Framework Serialization Code Execution (MS12-035) protection using the Search tool and Edit the protection's settings.
    2. Install policy on all modules.

    SmartView Tracker will log the following entries:
    Attack Name: Web Client Enforcement Violation
    Attack Information: Microsoft .NET Framework Serialization Code Execution (MS12-035)